> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Download file

> Receive a URL to download a file. Please note that the URL is valid for 5 minutes. Note: only files can be downloaded!



## OpenAPI

````yaml /openapi.yaml get /files/{fileId}/download
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /files/{fileId}/download:
    get:
      tags:
        - Files API
      summary: Download file
      description: >-
        Receive a URL to download a file. Please note that the URL is valid for
        5 minutes. Note: only files can be downloaded!
      operationId: download-file
      parameters:
        - name: fileId
          in: path
          description: ID of the file to download
          required: true
          schema:
            type: string
            example: fsf_abc12345678
      responses:
        '200':
          description: Cloud file response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Api_Cloudfile'
        '404':
          description: No File can be found for the given ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    Api_Cloudfile:
      type: object
      properties:
        link:
          type: string
          description: Link to the file
          example: https://...
        expiresAt:
          type: string
          description: >-
            Date and time when the link to the file expires, written in ATOM
            format.
          example: '2025-04-29T21:00:00+02:00'
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````